LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   KDE 3.5 on slackware-current (http://www.linuxquestions.org/questions/slackware-14/kde-3-5-on-slackware-current-873901/)

coralfang 04-08-2011 11:30 PM

KDE 3.5 on slackware-current
 
Hello, i was wondering which would be the easiest way to use KDE 3.5 on slackware 13.37 (when it's released).

What are the chances of these packages working:
ftp://ftp.slackware.com/pub/slackwar...ckages/x86_64/

If not, would anything tedious have to be done when compiling KDE 3.5, such as downgrading important libraries and making a mess of the installation?

Woodsman 04-08-2011 11:53 PM

The packages you linked are incomplete and do not provide a full 3.5.10 package suite. :(

A few people participating in this forum have built and installed 3.5.10 in 13.1. Building new packages requires patience and a bunch of patches to compile with newer versions of gcc, libpng, etc.

I'm waiting for Current to go official before I start testing 3.5 there, but mostly because I'm busy with other things right now. :)

Easier solution: A few people have installed on 13.1 the 3.5.10 packages made for Slackware 12.2. No recompiling required. That strategy requires removing the KDE 4 packages to avoid conflicts with files of the same name. You can leave qt4 installed. Remember to install dbus-qt3, qca, qca-tls, and qt-3.3.8b. You should recompile poppler with qt3 support. I think starting with 13.1, poppler is no longer built on the stock Slackware with qt3 support. :(

More info: KDE 3.5.x for Slackware

lumak 04-09-2011 01:03 AM

this looks like the most long term option http://www.trinitydesktop.org/

alekow 04-09-2011 02:43 AM

Quote:

Originally Posted by coralfang (Post 4318753)
Hello, i was wondering which would be the easiest way to use KDE 3.5 on slackware 13.37 (when it's released).

What are the chances of these packages working:
ftp://ftp.slackware.com/pub/slackwar...ckages/x86_64/

If not, would anything tedious have to be done when compiling KDE 3.5, such as downgrading important libraries and making a mess of the installation?

I have compiled kde 3.5.10 on current. Now I wait for 1337 release to recompile it and release it. Just wait a little.


All times are GMT -5. The time now is 11:11 AM.